#! /usr/bin/env python
"""Script for summing up output of VSCodeCounter"""

tbplas = {
    "python":18503,
    "rst":5194,
    "c++":1529,
    "cython":1284,
    "shell":137,
    "toml":66,
    "cmake":32,
    "makfile":20,
    "markdown":6,
}

tbplas_cpp = {
    "c++":257687-226004+2378,
    "python":4023,
    "cmake":1702,
    "markdown":1041,
    "cython":603,
    "shell":44,
}

total_lines = 0
for k,v in tbplas.items():
    total_lines += v
for k,v in tbplas_cpp.items():
    total_lines += v
print(f"total_lines: {total_lines}")

for k in ("c++", "python"):
    num_each = tbplas[k] + tbplas_cpp[k]
    print(f"{k}: {num_each}")
